Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# RTCP_RR_Packet Class Reference

The Receiver Report packet is sent by all members of a session that are not sending data. It contains a list of RR_Block to represent each source this party is receiving data from. More...

`#include <RTCP_Packet.h>`

Inheritance diagram for RTCP_RR_Packet:

[legend]
Collaboration diagram for RTCP_RR_Packet:

[legend]
List of all members.

## Public Methods
| RTCP_RR_Packet (char *buffer, int *len)
| Constructor for incoming receiver reports. More...
| RTCP_RR_Packet (ACE_UINT32 ssrc, RR_Block *blocks)
| Constructor for outgoing receiver reports. More...
virtual | ~RTCP_RR_Packet (void)
| Destructor. More...
unsigned int | packet_size (void)
| Returns the size of the packet in bytes. More...
ACE_INT32 | ssrc (void)
| Returns the synchronization source id of the source sending this packet. More...
void | dump (void)
| Prints the contents of the packet. More...
## Private Methods
void | build_packet (void)
| Used to create the byte representation of the RTCP packet. More...
## Private Attributes
ACE_UINT32 | ssrc_
| The synchronization source id of the sender of this report. More...
RR_Block * | rr_
| A linked list of the receiver report block(s) being sent. More...

## Detailed Description

The Receiver Report packet is sent by all members of a session that are not sending data. It contains a list of RR_Block to represent each source this party is receiving data from.

## Constructor & Destructor Documentation

RTCP_RR_Packet::RTCP_RR_Packet | ( | char * | buffer,
|  | int * | len
| ) |

| Constructor for incoming receiver reports.

RTCP_RR_Packet::RTCP_RR_Packet | ( | ACE_UINT32 | ssrc,
|  | RR_Block * | blocks
| ) |

| Constructor for outgoing receiver reports.

RTCP_RR_Packet::~RTCP_RR_Packet | ( | void |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

void RTCP_RR_Packet::build_packet | ( | void |  | ) | `[private, virtual]`

| Used to create the byte representation of the RTCP packet. Reimplemented from RTCP_Packet.

void RTCP_RR_Packet::dump | ( | void |  | ) |

| Prints the contents of the packet.

unsigned int RTCP_RR_Packet::packet_size | ( | void |  | ) | `[virtual]`

| Returns the size of the packet in bytes. Reimplemented from RTCP_Packet.

ACE_INT32 RTCP_RR_Packet::ssrc | ( | void |  | ) | `[inline]`

| Returns the synchronization source id of the source sending this packet.

## Member Data Documentation

RR_Block* RTCP_RR_Packet::rr_`[private]`

| A linked list of the receiver report block(s) being sent.

ACE_UINT32 RTCP_RR_Packet::ssrc_`[private]`

| The synchronization source id of the sender of this report.

The documentation for this class was generated from the following files:

- RTCP_Packet.h
- RTCP_Packet.cpp